This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 446920 - (WPA-PEM) NetworkManager can't find .pem files
NetworkManager can't find .pem files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 12:51 EDT by Alan Escuredo
Modified: 2009-07-14 13:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:52:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Escuredo 2008-05-16 12:51:47 EDT
Description of problem:
When I try to connect to a WPA Enterprise wireless network, NetworkManager can't
find any CA .pem files in the specified route.

Version-Release number of selected component (if applicable):
0.7.0

How reproducible:
In NetworkManager applet, connect to a WPA encrypted network and try to select a
.pem file in the specified route. It doesn't appear.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No files in directory.

Expected results:
Some .pem files recognized.

Additional info:
Comment 1 Alan Escuredo 2008-05-16 15:06:15 EDT
I forgot to add that this annoying bug happens on Fedora 9.

2.6.22.17-0.1-default
Comment 2 Dan Williams 2008-07-03 07:17:17 EDT
Do your PEM files have the textual representation of the certificate before it
has the actual binary certificate data?  Basically, how many bytes of the file
are before the "--------- BEGIN CERTIFICATE -------------" string?
Comment 3 Robert Freeman-Day 2008-07-07 14:14:33 EDT
I can confirm a similar issue.  Now, I just go to /etc/pki/tls/cert.pem and try
to point it at that.  The terminal shows me it is there, but I cannot see it in
nm-applet's file browser.  It looks like the cert.pem file is a large
concatenated list of certificate authorities with the actual certs  padded with
what you call a textual representation of the certificate.  

Could this be actually an issue with openssl since "yum whatprovides
/etc/pki/tls/cert.pem" gives me openssl

Going to see if Fedora 8 acts similarly.
Comment 4 Robert Freeman-Day 2008-07-08 08:50:55 EDT
I have confirmed same behavior with Fedora 8.  We have a wireless network
similar to the setup here:  http://www.divms.uiowa.edu/help/wireless/fedora9.html

We need to point our "CA Certificate" to the specific Thawte CA (which other
distros have as separate files for each CA), but cannot do that.  I do not wish
to download the CA from Thawte itself because I want it to be maintained from
the package manager...and hence I also do not want to export the CA from the FF
browser.
Comment 5 Jessica Sterling 2009-03-05 12:02:37 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Robert Freeman-Day 2009-05-06 11:09:15 EDT
Dan,

There may be an additional rub with this.  I see that this may very well be fixed with recent versions of 10 on up.  Now I cannot get this pem bundle provided by ca-certificates to be accepted in Network Manager.  I reported this recently:

https://bugzilla.redhat.com/show_bug.cgi?id=498323

Why can't the CA be separated into separate pem files instead of a big bundle like SUSE and the deb based distros?
Comment 7 Bug Zapper 2009-06-09 20:54:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 FRLinux 2009-06-16 13:33:07 EDT
Hello, I have the same behavior on a Fedora 11 system : 

[frlinux@vaio ~]$ uname -a
Linux vaio 2.6.29.4-167.fc11.x86_64 #1 SMP Wed May 27 17:27:08 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
[frlinux@vaio ~]$ rpm -qa |grep Manager
NetworkManager-glib-0.7.1-4.git20090414.fc11.x86_64
NetworkManager-0.7.1-4.git20090414.fc11.x86_64
NetworkManager-gnome-0.7.1-4.git20090414.fc11.x86_64
[frlinux@vaio ~]$ cat /etc/redhat-release 
Fedora release 11 (Leonidas)

You can find a screenshot of the issue here : http://frlinux.net/weblog/fedora11_eduroam.png

Let me know if you need more there.
Cheers,
Steph
Comment 9 FRLinux 2009-06-16 13:35:14 EDT
Sorry actually, the certificate was incompletely pasted... It works!
Comment 10 Bug Zapper 2009-07-14 13:52:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.